<?php
/**
* @package   Gridbox
* @author    Balbooa http://www.balbooa.com/
* @copyright Copyright @ Balbooa
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

namespace Balbooa\Component\Gridbox\Site\Model;

use Balbooa\Component\Gridbox\Site\Helper\GridboxHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Model\ItemModel;

defined('_JEXEC') or die;

class SystemModel extends ItemModel
{
    public $fonts;
    public $name;

    public function getTable($type = '', $prefix = '', $config = []) 
    {
        return parent::getTable($type, $prefix, $config);
    }
    
    public function getItem($id = null)
    {
        $input = Factory::getApplication()->input;
        $id = $input->get('id', 0, 'int');
        $item = GridboxHelper::getSystemParams($id);
        
        return $item;
    }
}
